<template>
    <tr>
        <td>{{ index }}</td>
        <td>
            <router-link 
               :to="url"
            >
                <v-img
                        :src="photo"
                        :aspect-ratio="1"
                        width="80px"
                        position="center"
                />
            </router-link>
        </td>
        <td>{{ fullName }}</td>
        <td>{{ successMr }}</td>
        <td>{{ allMr }}</td>
        <td class="font-weight-black">{{ points }}</td>
    </tr>
</template>
<script>
    export default {
        name: 'RatingRow',
        props: {
            index: Number,
            photo: String,
            fullName: String,
            successMr: Number,
            allMr: Number,
            points: Number,
            url: String
        }
    }
</script>